## ThunarTransferJob ThunarTransferJob |

## Functions

ThunarJob * | thunar_transfer_job_new ()
gchar * | thunar_transfer_job_get_status ()
gboolean | thunar_transfer_job_can_start ()

## Properties

gboolean | file-size-binary | Read / Write
ThunarParallelCopyMode | parallel-copy-mode | Read / Write
ThunarUsePartialMode | transfer-use-partial | Read / Write
ThunarVerifyFileMode | transfer-verify-file | Read / Write

## Types and Values

enum | ThunarTransferJobType

## Object Hierarchy

        GObject
        ╰── ExoJob
            ╰── ThunarJob
                ╰── ThunarTransferJob

## Description

## Functions

### thunar_transfer_job_new ()

    ThunarJob *
    thunar_transfer_job_new (GList *source_file_list,
                             GList *target_file_list,
                             ThunarTransferJobType type);

### thunar_transfer_job_get_status ()

    gchar *
    thunar_transfer_job_get_status (ThunarTransferJob *job);

### thunar_transfer_job_can_start ()

    gboolean
    thunar_transfer_job_can_start (ThunarTransferJob *transfer_job,
                                   GList *running_job_list);

## Types and Values

### enum ThunarTransferJobType

#### Members

THUNAR_TRANSFER_JOB_COPY |  |
THUNAR_TRANSFER_JOB_LINK |  |
THUNAR_TRANSFER_JOB_MOVE |  |
THUNAR_TRANSFER_JOB_TRASH |  |

## Property Details

### The `“file-size-binary”` property

      “file-size-binary”         gboolean

Owner: ThunarTransferJob

Flags: Read / Write

Default value: TRUE

### The `“parallel-copy-mode”` property

      “parallel-copy-mode”       ThunarParallelCopyMode

Owner: ThunarTransferJob

Flags: Read / Write

Default value: THUNAR_PARALLEL_COPY_MODE_ONLY_LOCAL

### The `“transfer-use-partial”` property

      “transfer-use-partial”     ThunarUsePartialMode

Owner: ThunarTransferJob

Flags: Read / Write

Default value: THUNAR_USE_PARTIAL_MODE_NEVER

### The `“transfer-verify-file”` property

      “transfer-verify-file”     ThunarVerifyFileMode

Owner: ThunarTransferJob

Flags: Read / Write

Default value: THUNAR_VERIFY_FILE_MODE_NEVER